List Client Memberships

This endpoint returns the membership plans the client bought.

Important Notes

  • Requires memberships:read scope.
  • A client of another company, or one that does not exist, answers 404.
  • Usage by group (groups) is only returned by GET /v3/clients/{id}/memberships/{membership_id}.
  • The list is not paginated.

Errors Dictionary

StatusErrorDetailDescription
400invalid_date—date is not a valid date.
400invalid_status—status is not active nor inactive.
401unauthorizedinvalid_api_keyMissing or invalid Bearer token.
401unauthorizedapi_config_inactiveAPI access is inactive for this company.
403forbiddenscope_deniedAPI key lacks memberships:read scope.
404client_not_found—The client does not exist or belongs to another company.
429rate_limitedburst_limit_exceededPer-minute request limit exceeded.
429rate_limiteddaily_quota_exceededDaily request quota exceeded.
502upstream_unavailableconnection_failedThe upstream service is unavailable.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required
≥ 1

Client unique identifier.

Query Params
string
enum

Only plans active (or inactive) at date.

Allowed:
integer

Only plans that include this service.

date

Date (YYYY-MM-DD) at which usage and remaining sessions are computed. Defaults to today.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json